> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/gateway-manager/inspect-cluster/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Inspect a Gateway cluster GET https://example.itential.io/gateway_manager/v1/gateway/{clusterId}/{target} Runs a named inspection operation against the specified gateway cluster. Use 'health' to get per-component health status, or 'activity' to get running and recently completed work across all runner nodes. Reference: https://docs.itential.com/itential-cloud/api-reference/gateway-manager/inspect-cluster ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `clusterId` (string, required) — The cluster Id of the target gateway - `target` (string, required) — The inspection target to run against the cluster ## Response ### 200 The result of the inspection operation. Shape varies by target. - `object or object` - health - `cluster_id` (string, optional) - `healthy` (boolean, optional) - `components` (object, optional) - `store` (object, optional) - `backend` (string, optional) - `nodes` (list of object, optional) - `address` (string, optional) - `status` (string, optional) - `runner` (object, optional) - `nodes` (list of object, optional, nullable) — null when store is down and enumeration was impossible - `type` (string, optional) - `address` (string, optional) - `status` (string, optional) - `gateway_manager` (object, optional) - `type` (string, optional, nullable) - `address` (string, optional, nullable) - `status` (string, optional) - `controller` (object, optional) - `nodes` (list of object, optional, nullable) — null when store is down and enumeration was impossible - `hostname` (string, optional) - `status` (string, optional) - activity - `healthy` (boolean, optional) — True when the store is healthy and at least one runner is reachable. - `entries` (list of object, optional) - `name` (string, optional) - `type` (string, optional) - `node` (string, optional) - `status` (string, optional) - `started_at` (string, optional) - `completed_at` (string, optional, nullable) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "cluster_id": "cluster_1", "components": { "controller": { "nodes": [ { "hostname": "string", "status": "active" } ] }, "gateway_manager": { "address": "string", "status": "connected", "type": "wss" }, "runner": { "nodes": [ { "address": "string", "status": "reachable", "type": "embedded" } ] }, "store": { "backend": "etcd", "nodes": [ { "address": "string", "status": "healthy" } ] } }, "healthy": true } ``` **SDK Code** ```python import requests url = "https://example.itential.io/gateway_manager/v1/gateway/clusterId/target" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/gateway_manager/v1/gateway/clusterId/target'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/gateway_manager/v1/gateway/clusterId/target" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/gateway_manager/v1/gateway/clusterId/target") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/gateway_manager/v1/gateway/clusterId/target") .asString(); ``` ```php request('GET', 'https://example.itential.io/gateway_manager/v1/gateway/clusterId/target'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/gateway_manager/v1/gateway/clusterId/target"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/gateway_manager/v1/gateway/clusterId/target")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```